# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ExporterIdFileBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'origin': 'str',
        'file': 'Object',
        'pipeline_scheduled_run_id': 'str',
        'encoding': 'str',
        'separator': 'str',
        'decimal': 'Object',
        'thousands': 'Object'
    }

    attribute_map = {
        'origin': 'origin',
        'file': 'file',
        'pipeline_scheduled_run_id': 'pipeline_scheduled_run_id',
        'encoding': 'encoding',
        'separator': 'separator',
        'decimal': 'decimal',
        'thousands': 'thousands'
    }

    def __init__(self, origin='file', file=None, pipeline_scheduled_run_id=None, encoding=None, separator=None, decimal=None, thousands=None):  # noqa: E501
        """ExporterIdFileBody - a model defined in Swagger"""  # noqa: E501
        self._origin = None
        self._file = None
        self._pipeline_scheduled_run_id = None
        self._encoding = None
        self._separator = None
        self._decimal = None
        self._thousands = None
        self.discriminator = None
        if origin is not None:
            self.origin = origin
        if file is not None:
            self.file = file
        if pipeline_scheduled_run_id is not None:
            self.pipeline_scheduled_run_id = pipeline_scheduled_run_id
        if encoding is not None:
            self.encoding = encoding
        if separator is not None:
            self.separator = separator
        if decimal is not None:
            self.decimal = decimal
        if thousands is not None:
            self.thousands = thousands

    @property
    def origin(self):
        """Gets the origin of this ExporterIdFileBody.  # noqa: E501


        :return: The origin of this ExporterIdFileBody.  # noqa: E501
        :rtype: str
        """
        return self._origin

    @origin.setter
    def origin(self, origin):
        """Sets the origin of this ExporterIdFileBody.


        :param origin: The origin of this ExporterIdFileBody.  # noqa: E501
        :type: str
        """
        allowed_values = ["file", "pipeline-file"]  # noqa: E501
        if origin not in allowed_values:
            raise ValueError(
                "Invalid value for `origin` ({0}), must be one of {1}"  # noqa: E501
                .format(origin, allowed_values)
            )

        self._origin = origin

    @property
    def file(self):
        """Gets the file of this ExporterIdFileBody.  # noqa: E501

        (required)  # noqa: E501

        :return: The file of this ExporterIdFileBody.  # noqa: E501
        :rtype: Object
        """
        return self._file

    @file.setter
    def file(self, file):
        """Sets the file of this ExporterIdFileBody.

        (required)  # noqa: E501

        :param file: The file of this ExporterIdFileBody.  # noqa: E501
        :type: Object
        """

        self._file = file

    @property
    def pipeline_scheduled_run_id(self):
        """Gets the pipeline_scheduled_run_id of this ExporterIdFileBody.  # noqa: E501


        :return: The pipeline_scheduled_run_id of this ExporterIdFileBody.  # noqa: E501
        :rtype: str
        """
        return self._pipeline_scheduled_run_id

    @pipeline_scheduled_run_id.setter
    def pipeline_scheduled_run_id(self, pipeline_scheduled_run_id):
        """Sets the pipeline_scheduled_run_id of this ExporterIdFileBody.


        :param pipeline_scheduled_run_id: The pipeline_scheduled_run_id of this ExporterIdFileBody.  # noqa: E501
        :type: str
        """

        self._pipeline_scheduled_run_id = pipeline_scheduled_run_id

    @property
    def encoding(self):
        """Gets the encoding of this ExporterIdFileBody.  # noqa: E501


        :return: The encoding of this ExporterIdFileBody.  # noqa: E501
        :rtype: str
        """
        return self._encoding

    @encoding.setter
    def encoding(self, encoding):
        """Sets the encoding of this ExporterIdFileBody.


        :param encoding: The encoding of this ExporterIdFileBody.  # noqa: E501
        :type: str
        """

        self._encoding = encoding

    @property
    def separator(self):
        """Gets the separator of this ExporterIdFileBody.  # noqa: E501


        :return: The separator of this ExporterIdFileBody.  # noqa: E501
        :rtype: str
        """
        return self._separator

    @separator.setter
    def separator(self, separator):
        """Sets the separator of this ExporterIdFileBody.


        :param separator: The separator of this ExporterIdFileBody.  # noqa: E501
        :type: str
        """

        self._separator = separator

    @property
    def decimal(self):
        """Gets the decimal of this ExporterIdFileBody.  # noqa: E501


        :return: The decimal of this ExporterIdFileBody.  # noqa: E501
        :rtype: Object
        """
        return self._decimal

    @decimal.setter
    def decimal(self, decimal):
        """Sets the decimal of this ExporterIdFileBody.


        :param decimal: The decimal of this ExporterIdFileBody.  # noqa: E501
        :type: Object
        """

        self._decimal = decimal

    @property
    def thousands(self):
        """Gets the thousands of this ExporterIdFileBody.  # noqa: E501


        :return: The thousands of this ExporterIdFileBody.  # noqa: E501
        :rtype: Object
        """
        return self._thousands

    @thousands.setter
    def thousands(self, thousands):
        """Sets the thousands of this ExporterIdFileBody.


        :param thousands: The thousands of this ExporterIdFileBody.  # noqa: E501
        :type: Object
        """

        self._thousands = thousands

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ExporterIdFileBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ExporterIdFileBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
